AProfile (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class AProfile

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
          edu.harvard.hul.ois.jhove.module.pdf.AProfile

    public final class AProfile

extends PdfProfile

PDF profile checker for PDF/A-1 documents. See 19005-1:2005(E), "Document Imaging Applications Application Issues". Revised to reflect the final standard. With the new terminology, this profile is specific to PDF/A-1; there may be additional standards in the PDF/A family later on. "PDF/A" means "PDF/A-1" in the documentation of this code. There are two levels of conformance, called Level A and Level B. We report these as two different profiles. To accomplish this, we use AProfileLevelA, linked to an instance of this, which simply checks if this profile established Level A compliance.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`_module, _parser, _profileText, _raf`

Constructor Summary
`AProfile(PdfModule module)` Constructor.

Method Summary
`protected boolean` | `formObjectOK(PdfDictionary xo)` Checks if a Form xobject is valid.
`protected boolean` | `imageObjectOK(PdfDictionary xo)` Checks if a single image XObject fits the profile
`protected boolean` | `satisfiesLevelA()` Returns true if the document was found to be Level A conformant.
`boolean` | `satisfiesThisProfile()` Returns `true` if the document satisfies the profile at Level B or better.
`void` | `setTaggedProfile(TaggedProfile tpr)` Calling setTaggedProfile links this AProfile to a TaggedProfile.
`protected boolean` | `xObjectOK(PdfDictionary xo)` Checks a single XObject for xObjectsOK.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`getText, hasFilters, isAlreadyOK, satisfiesProfile, xObjectsOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AProfile

    public AProfile(PdfModule module)

  Constructor. Creates an AProfile object for subsequent testing.

  Parameters:
    `module` - The module under which we are checking the profile.

Method Detail

### setTaggedProfile

    public void setTaggedProfile(TaggedProfile tpr)

  Calling setTaggedProfile links this AProfile to a TaggedProfile.

### satisfiesThisProfile

    public boolean satisfiesThisProfile()

  Returns `true` if the document satisfies the profile at Level B or better. Also sets the level A flag to the appropriate value, so that `satisfiesLevelA` can subsequently be called.

  Specified by:
    `satisfiesThisProfile` in class `PdfProfile`

### satisfiesLevelA

    protected boolean satisfiesLevelA()

  Returns true if the document was found to be Level A conformant. This returns a meaningful result only after `satisfiesThisProfile` has been called, and is intended for use by the Level A profiler.

### xObjectOK

    protected boolean xObjectOK(PdfDictionary xo)

  Checks a single XObject for xObjectsOK.

  Overrides:
    `xObjectOK` in class `PdfProfile`

### formObjectOK

    protected boolean formObjectOK(PdfDictionary xo)

  Checks if a Form xobject is valid. This overrides the method in XProfileBase.

### imageObjectOK

    protected boolean imageObjectOK(PdfDictionary xo)

  Checks if a single image XObject fits the profile

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD